#define DOCTEST_CONFIG_NO_MULTITHREADING
#define DOCTEST_CONFIG_IMPLEMENT_WITH_MAIN
#include "doctest.h"
#include "histogram_internal.h"

TEST_CASE("distinct positive numbers") {
    double min = 0;
    double max = 0;
    find_minmax({1, 2}, min, max);
    CHECK(min == 1);
    CHECK(max == 2);

}
TEST_CASE("empty vector") {
    std::vector<double> numbers{};
    double min=0, max=0;
    CHECK(!find_minmax(numbers, min, max));
}
TEST_CASE("1 val") {
    std::vector<double> numbers{1};
    double min=0, max=0;
    find_minmax(numbers, min, max);
    CHECK(min == 1);
    CHECK(max == 1);
}
TEST_CASE("- val") {
    std::vector<double> numbers{-1,-2};
    double min=0, max=0;
    find_minmax(numbers, min, max);
    CHECK(min == -2);
    CHECK(max == -1);
}
TEST_CASE("same val") {
    std::vector<double> numbers{2,2};
    double min=0, max=0;
    find_minmax(numbers, min, max);
    CHECK(min == 2);
    CHECK(max == 2);
}
TEST_CASE("check prot1") {
    check(input_width(int countOfNumbers, 10));

}

